@echo off
set MY_PATH=%~dp0
if "%MY_PATH%"=="" set MY_PATH=.\
for /f "delims== usebackq tokens=1,2" %%G in ("%MY_PATH%tool-path.txt") do set %%G=%%H
set TOOL_PATH=%MY_PATH%%COIAUPDATER_PATH%
echo COIAUpdater batch: Flash devices
if -%3-==-- echo Use CcFlashAll SerialPort_1 SerialPort_2 SerialPort_3
if -%3-==-- goto:eof
"%TOOL_PATH%\COIAUpdater.exe" -p %1 -f CgB_COIA_BEDS1.4_sec.bin
"%TOOL_PATH%\COIAUpdater.exe" -p %2 -f CgB_COIA_BEDS1.4_sec.bin
"%TOOL_PATH%\COIAUpdater.exe" -p %3 -f CgB_COIA_BEDS1.4_sec.bin
echo COIAUpdater batch CcFlashEnd: end
